
import java.awt.Container;
import java.awt.FlowLayout;

import javax.swing.JButton;
import javax.swing.JFrame;

public class FlowLayoutDemo {
	public static void addComponentsToPane(Container pane) {
		pane.setLayout(new FlowLayout());
		pane.add(new JButton("Button 1"));
		pane.add(new JButton("Button 2"));
		pane.add(new JButton("Button 3"));
		pane.add(new JButton("Long-Named Button 4"));
		pane.add(new JButton("5"));
	}

	private static void createAndShowGUI() {
		// Create and set up the window.
		JFrame frame = new JFrame("FlowLayoutDemo");
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		// Set up the content pane.
		addComponentsToPane(frame.getContentPane());
		// Display the window.
		frame.pack();
		frame.setVisible(true);
	}

	public static void main(String[] args) {
				createAndShowGUI();
	}
}
